rte_flow_item_flex_conf(3)

NAME
rte_flow_item_flex_conf

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_item_flex_tunnel_mode tunnel
struct rte_flow_item_flex_field next_header
struct rte_flow_item_flex_field next_protocol
struct rte_flow_item_flex_field * sample_data
uint32_t nb_samples
struct rte_flow_item_flex_link * input_link
uint32_t nb_inputs
struct rte_flow_item_flex_link * output_link
uint32_t nb_outputs

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

Definition at line 2259 of file rte_flow.h.

Field Documentation

  enum rte_flow_item_flex_tunnel_mode tunnel
Specifies the flex item and tunnel relations and tells the PMD whether flex item can be used for inner, outer or both headers, or whether flex item presents the tunnel protocol itself.

Definition at line 2265 of file rte_flow.h.

  struct rte_flow_item_flex_field next_header
The next header offset, it presents the network header size covered by the flex item and can be obtained with all supported offset calculating methods (fixed, dedicated field, bitmask, etc).

Definition at line 2271 of file rte_flow.h.

  struct rte_flow_item_flex_field next_protocol
Specifies the next protocol field to match with link next protocol values and continue packet parsing with matching link.

Definition at line 2276 of file rte_flow.h.

  struct rte_flow_item_flex_field* sample_data
The fields will be sampled and presented for explicit match with pattern in the rte_flow_flex_item. There can be multiple fields descriptors, the number should be specified by nb_samples.

Definition at line 2282 of file rte_flow.h.

  uint32_t nb_samples
Number of field descriptors in the sample_data array.

Definition at line 2284 of file rte_flow.h.

  struct rte_flow_item_flex_link* input_link
Input link defines the flex item relation with preceding header. It specified the preceding item type and provides pattern to match. The flex item will continue parsing and will provide the data to flow match in case if there is the match with one of input links.

Definition at line 2292 of file rte_flow.h.

  uint32_t nb_inputs
Number of link descriptors in the input link array.

Definition at line 2294 of file rte_flow.h.

  struct rte_flow_item_flex_link* output_link
Output link defines the next protocol field value to match and the following protocol header to continue packet parsing. Also defines the tunnel-related behaviour.

Definition at line 2300 of file rte_flow.h.

  uint32_t nb_outputs
Number of link descriptors in the output link array.

Definition at line 2302 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.